OpenWrt/LEDE Project

  • Status Unconfirmed
  • Percent Complete
    0%
  • Task Type Build Failure
  • Category Packages
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version Trunk
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by mpratt14 - 19.09.2020

FS#3347 - libustream: package/install file conflicts

Reproduce the problem:
selecting `luci-ssl-openssl`

Collected errors:
 * check_data_file_clashes: Package libustream-openssl20200215 wants to install file /media/builds/github-openwrt/openwrt/build_dir/target-mips_24kc_musl/root-ath79/lib/libustream-ssl.so
        But that file is already provided by package  * libustream-wolfssl20200215
 * opkg_install_cmd: Cannot install package libustream-openssl20200215.
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for luci:
 *      luci-proto-ppp
 * opkg_install_cmd: Cannot install package luci.
 * check_data_file_clashes: Package libustream-openssl20200215 wants to install file /media/builds/github-openwrt/openwrt/build_dir/target-mips_24kc_musl/root-ath79/lib/libustream-ssl.so
        But that file is already provided by package  * libustream-wolfssl20200215
 * opkg_install_cmd: Cannot install package luci-ssl-openssl.
pts (1.4.0-9) to root...
make[1]: *** [package/Makefile:68: package/install] Error 255
make[1]: Leaving directory '/media/builds/github-openwrt/openwrt'
make: *** [/media/builds/github-openwrt/openwrt/include/toplevel.mk:236: package/install] Error 2
Command exited with non-zero status 2

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing